#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
    vector<string> odgovor;
    int N;
    int x;
    vector<int> glavni;
    cin >> N;
    for (int i = 0; i < N; i++){
        cin >> x;
        glavni.push_back(x);
    }
    int Q;
    cin >> Q;
    int li;
    int ri;
    bool moze;
    vector<int> pomocni;
    vector<int> pomocni1;
    for (int i = 0; i < Q; i++){
        cin >> li >> ri;
        pomocni = vector<int>(glavni.begin() + li - 1, glavni.begin() + ri);
        pomocni1 = pomocni;
        moze = false;
        for (int j = 0; j < ri - li + 1; j++){
            pomocni.erase(pomocni.begin() + j);
            if(is_sorted(pomocni.begin(), pomocni.end())){
                moze = true;
            }
            pomocni = pomocni1;
        }
        if(moze){
            odgovor.push_back("DA");
        }
        else{
            odgovor.push_back("NE");
        }
    }
    for (int i = 0; i < Q; i++){
        cout << odgovor[i];
        if (i!=Q-1){
            cout << "\n";
        }
    }
    return 0;
}